﻿using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

using Microtoolskit.Hardware.IHM;
using Microtoolskit.Hardware.Displays;

namespace AspirationCopeaux
{
    public class Program
    {
        public static void Main()
        {   // Documentation de la classe IHMSSI sur Github https://webge.github.io/IHMSSI/
            // La photo du montage est dans le répertoire Doc_A_Consulter
            
            // Constructeur par défaut : Lcd = Midas(0x3A), PCF8574A : addLeds_I2C = 0x38 et addBPs_I2C = 0x3f, freq_Bus = 100kHz  
            IHMSSI Ihm = new IHMSSI(new I2CLcd(I2CLcd.LcdManufacturer.BATRON, 100));

            // Visualisation du fonctionnement du poste 1 sur le Lcd
            VisuAspiration Visu = new VisuAspiration(new I2CLcd(I2CLcd.LcdManufacturer.BATRON, 100));
            
            // Message d'accueil du TP
            Ihm.Lcd.PutString(0, 0, "TP1 Rev. Logique");
            Ihm.Lcd.PutString(0, 1, "Aspi. de copeaux");
            Thread.Sleep(3000);

            // Variables
            bool SET = false; bool RESET = false; bool X = false;
            bool P1 = false; // Affichée sur la led D0
            bool D1 = false; // Affichée sur la led D1            
            bool Nu = false ; // BP- : non utilisé
            bool M1, A1, TP, P, P4, P3, P2; // BPs: Echap, Entr, Ok, Set, Flèche B, Flèche H, BP+

            while (true)
            {
                // Lecture des BPs de la carte SSI
                Ihm.BPsRead(out M1, out A1, out TP, out P, out Nu, out P4, out P3, out P2); 
                
                // Traiter
                    // Les équations sont à placer avant les points-virgules
                    // Supprimer /* et */ après les avoir complétées
                /*
                    D1 = ;
                    X = ;
                    SET = ;
                    RESET = ;
                    P1 = ;
                */
                // Affichages
                Ihm.D0.Write(P1); // Simule le voyant P1 "commande de l'aspiration sur le poste 1"
                Ihm.D1.Write(D1); // Simule le voyant D1 "refus de mise en service du poste 1"
                Visu.AfficheEtatPostes(P1, P2, P3, P4, TP, P); // Affichage du fonctionnement sur le Lcd
                Thread.Sleep(10);
            }

        }

    }
}
